Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-55692

Warn users on upgrade to 5.0 if no CWWC is set

    XMLWordPrintable

    Details

    • Backwards Compatibility:
      Fully Compatible
    • Backport Requested:
      v5.0
    • Sprint:
      Repl 2021-05-31, Repl 2021-06-14
    • Linked BF Score:
      50

      Description

      We should warn users via a log message in mongod and mongos that their default write concern will change when they set FCV to be 50.

      We should not log the warning for shard servers since they don't set CWWC.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              huayu.ouyang Huayu Ouyang
              Reporter:
              samy.lanka Samyukta Lanka
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: